complexType "ValuationSet"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-valuation-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | name?, valuationScenario*, valuationScenarioReference*, baseParty?, quotationCharacteristics*, sensitivitySetDefinition*, detail?, assetValuation*
</...>

Content Model Elements (8):

  assetValuation, baseParty (in valuationSet), detail, name (in valuationSet), | quotationCharacteristics (in valuationSet), sensitivitySetDefinition, valuationScenario, valuationScenarioReference (in valuationSet)

All Direct / Indirect Based Elements (1):

  valuationSet

Known Usage Locations

- As direct type of elements (1):
  valuationSet

Annotation
A set of valuation inputs and results. This structure can be used for requesting valuations, or for reporting them. In general, the request fills in fewer elements.
XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="ValuationSet"> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuationScenario" type="ValuationScenario"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"/> <xsd:element minOccurs="0" name="baseParty" type="PartyReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="sensitivitySetDefinition" type="SensitivitySetDefinition"/> <xsd:element minOccurs="0" name="detail" type="ValuationSetDetail"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="assetValuation" type="AssetValuation"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 8/8)
assetValuation

  Type: | AssetValuation, complex content

  Valuations reported in this valuation set. These values can be values (NPVs, prices, etc.) or risks (DAR, etc.) and can include sensitivities.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="assetValuation" type="AssetValuation"/>

baseParty

  Type: | PartyReference, empty content

  Reference to the party from whose point of view the assets are valued.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="baseParty" type="PartyReference"/>

detail

  Type: | ValuationSetDetail, simple content

  Does this valuation set include a market environment?
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="detail" type="ValuationSetDetail"/>

name

  Type: | xsd:string, predefined, simple content

  The name of the valuation set, used to understand what it means. E.g., "EOD Values and Risks for Party A".
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="name" type="xsd:string"/>

quotationCharacteristics

  Type: | QuotationCharacteristics, complex content

  Charactistics (measure types, units, sides, etc.) of the quotes used (requested/reported) in the valuation set.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/>

sensitivitySetDefinition

  Type: | SensitivitySetDefinition, complex content

  Definition(s) of sensitivity sets used (requested or reported) in this valuation set.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="sensitivitySetDefinition" type="SensitivitySetDefinition"/>

valuationScenario

  Type: | ValuationScenario, complex content

  Valuation scenerios used (requested/reported) in this valuation set. E.g., the EOD valuation scenario for a particular value date. Used for the first occurrence of a valuation scenario in a document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuationScenario" type="ValuationScenario"/>

valuationScenarioReference

  Type: | ValuationScenarioReference, empty content

  References to valuation scenarios used (requested/reported) in this valuation set. E..g, a reference to the EOD valuation scenario for a particular value date. Used for subsequence occurrences of a valuation set in an FpML document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.